dhclient process started by cloud-init-local.service still running afterwards

Bug #1732964 reported by Scott Moser on 2017-11-17
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
cloud-init
Medium
Unassigned
cloud-init (Ubuntu)
Medium
Unassigned

Bug Description

I launched an ec2 isntance, ssh'd in and ran 'systemctl status'.
The result is below.
The issue is that the cloud-init spawned temporary dhclient is still around.
It should not be terribly harmful as its script is /bin/true so it wont
ever take down the link itself.

$ systemctl status --no-pager cloud-init-local.service --full
● cloud-init-local.service - Initial cloud-init job (pre-networking)
   Loaded: loaded (/lib/systemd/system/cloud-init-local.service; enabled; vendor preset: enabled)
   Active: active (exited) since Fri 2017-11-17 18:19:36 UTC; 10min ago
  Process: 856 ExecStart=/bin/touch /run/cloud-init/network-config-ready (code=exited, status=0/SUCCESS)
  Process: 442 ExecStart=/usr/bin/cloud-init init --local (code=exited, status=0/SUCCESS)
 Main PID: 856 (code=exited, status=0/SUCCESS)
    Tasks: 1
   Memory: 17.7M
      CPU: 698ms
   CGroup: /system.slice/cloud-init-local.service
           └─814 /var/tmp/cloud-init/cloud-init-dhcp-ljjiqpn2/dhclient -1 -v -lf /var/tmp/cloud-init/cloud-init-dhcp-ljjiqpn2/dhcp.leases -pf /var/tmp/cloud-init/cloud-init-dhcp-ljjiqpn2/dhclient.pid eth0 -sf /bin/true

Nov 17 18:19:36 ip-172-31-24-92 dhclient[811]: Sending on LPF/eth0/06:bb:a1:47:10:78
Nov 17 18:19:36 ip-172-31-24-92 dhclient[811]: Sending on Socket/fallback
Nov 17 18:19:36 ip-172-31-24-92 dhclient[811]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 3 (xid=0x5cd5e92c)
Nov 17 18:19:36 ip-172-31-24-92 dhclient[811]: DHCPREQUEST of 172.31.24.92 on eth0 to 255.255.255.255 port 67 (xid=0x2ce9d55c)
Nov 17 18:19:36 ip-172-31-24-92 dhclient[811]: DHCPOFFER of 172.31.24.92 from 172.31.16.1
Nov 17 18:19:36 ip-172-31-24-92 dhclient[811]: DHCPACK of 172.31.24.92 from 172.31.16.1
Nov 17 18:19:36 ip-172-31-24-92 dhclient[811]: bound to 172.31.24.92 -- renewal in 1491 seconds.
Nov 17 18:19:36 ip-172-31-24-92 dhclient[814]: receive_packet failed on eth0: Network is down
Nov 17 18:19:36 ip-172-31-24-92 cloud-init[442]: Cloud-init v. 17.1 running 'init-local' at Fri, 17 Nov 2017 18:19:35 +0000. Up 4.97 seconds.
Nov 17 18:19:36 ip-172-31-24-92 systemd[1]: Started Initial cloud-init job (pre-networking).

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: cloud-init 17.1-27-geb292c18-0ubuntu1~16.04.1
ProcVersionSignature: Ubuntu 4.4.0-1038.47-aws 4.4.87
Uname: Linux 4.4.0-1038-aws x86_64
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
CloudName: Amazon - Ec2
Date: Fri Nov 17 18:26:28 2017
Ec2AMI: ami-336b4456
Ec2AMIManifest: (unknown)
Ec2AvailabilityZone: us-east-2b
Ec2InstanceType: t2.micro
Ec2Kernel: unavailable
Ec2Ramdisk: unavailable
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: cloud-init
UpgradeStatus: No upgrade log present (probably fresh install)
cloud-init-log-warnings:
 2017-11-17 18:17:30,391 - util.py[DEBUG]: Failed mount of '/dev/xvda' as 'iso9660': Unexpected error while running command.
 2017-11-17 18:17:32,559 - util.py[DEBUG]: Failed mount of '/dev/xvda' as 'iso9660': Unexpected error while running command.
 2017-11-17 18:17:32,620 - DataSourceEc2.py[DEBUG]: strict_mode: warn, cloud_platform=AWS
 2017-11-17 18:19:36,057 - DataSourceEc2.py[DEBUG]: strict_mode: warn, cloud_platform=AWS
user_data.txt:

Related branches

Scott Moser (smoser) wrote :
Changed in cloud-init:
status: New → Confirmed
Changed in cloud-init (Ubuntu):
status: New → Confirmed
Changed in cloud-init:
importance: Undecided → Medium
Changed in cloud-init (Ubuntu):
importance: Undecided → Medium
Scott Moser (smoser) wrote :

Seems like this should work:
http://paste.ubuntu.com/25982684/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 17.1-41-g76243487-0ubuntu1

---------------
cloud-init (17.1-41-g76243487-0ubuntu1) bionic; urgency=medium

  * debian/cloud-init.templates: Fix capitilazation in 'AliYun' name.
    (LP: #1728186)
  * New upstream snapshot.
    - integration test: replace curtin test ppa with cloud-init test ppa.
    - EC2: Fix bug using fallback_nic and metadata when restoring from cache.
      (LP: #1732917)
    - EC2: Kill dhclient process used in sandbox dhclient. (LP: #1732964)
    - ntp: fix configuration template rendering for openSUSE and SLES
      (LP: #1726572)
    - centos: Provide the failed #include url in error messages
    - Catch UrlError when #include'ing URLs [Andrew Jorgensen]
    - hosts: Fix openSUSE and SLES setup for /etc/hosts and clarify docs.
      [Robert Schweikert] (LP: #1731022)
    - rh_subscription: Perform null checks for enabled and disabled repos.
      [Dave Mulford]
    - Improve warning message when a template is not found.
      [Robert Schweikert] (LP: #1731035)
    - Replace the temporary i9n.brickies.net with i9n.cloud-init.io.
    - Azure: don't generate network configuration for SRIOV devices
      (LP: #1721579)
    - tests: address some minor feedback missed in last merge.
    - tests: integration test cleanup and full pass of nocloud-kvm.
    - Gentoo: chmod +x on all files in sysvinit/gentoo/
      [ckonstanski] (LP: #1727126)

 -- Chad Smith <email address hidden> Mon, 20 Nov 2017 15:18:52 -0700

Changed in cloud-init (Ubuntu):
status: Confirmed → Fix Released
Scott Moser (smoser) on 2017-11-22
Changed in cloud-init:
status: Confirmed → Fix Committed

This bug is believed to be fixed in cloud-init in 1705804. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers